/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <nostalgia/studio/studio.hpp>

namespace nostalgia::core {

class Module: public studio::Module {
	public:
		ox::Vector<studio::EditorMaker> editors(core::Context *ctx) noexcept override;
		ox::Vector<ox::UniquePtr<studio::ItemMaker>> itemMakers(core::Context*) noexcept override;
};

}
